# Trait actix_web_httpauth::headers::authorization::Scheme

source · [−]

    pub trait Scheme: TryIntoHeaderValue + Debug + Display + Clone + Send + Sync {
        fn parse(header: &HeaderValue) -> Result<Self, ParseError>;
    }

Expand description

Authentication scheme for `Authorization` header.

## Required methods

source

#### fn parse(header: &HeaderValue) -> Result<Self, ParseError>

Try to parse the authentication scheme from the `Authorization` header.

## Implementors

source

### impl Scheme for Basic

source

### impl Scheme for Bearer